package cn.estsh.i3plus.pojo.aps.tool;

public class APSDoubleTool {
    public static boolean isZero(Double value) {
        return (value == null) || (value > -0.0000001 && value < 0.0000001);
    }

    /**
     * 按指定精度向上取整
     * @param value
     * @param pric
     * @return
     */
    public static double ceilPric(double value, int pric) {
        final double digits = Math.pow(10.0, pric);
        return Math.ceil(value*digits) / digits;
    }
}
